Skip to main content
GET
/
api
/
v1
/
org
/
credentials
/
{credential_id}
Get credential details
import requests

url = "https://platform.ankra.app/api/v1/org/credentials/{credential_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "provider": "<string>",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>",
  "updated_at": "<string>",
  "system": false,
  "available": true,
  "clusters": [],
  "operations": [],
  "token": "<string>",
  "username": "<string>",
  "access_key_id": "<string>",
  "secret_access_key": "<string>",
  "role_arn": "<string>",
  "gitlab_url": "<string>",
  "access_token": "<string>",
  "application_key": "<string>",
  "application_secret": "<string>",
  "consumer_key": "<string>",
  "project_id": "<string>",
  "ssh_public_key": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

credential_id
string<uuid4>
required

Response

Credential retrieved successfully

id
string<uuid>
required
name
string
required
provider
string
required
organisation_id
string<uuid>
required
created_at
string
required
updated_at
string
required
system
boolean
default:false
available
boolean
default:true
clusters
any[]
operations
any[]
token
string | null
username
string | null
access_key_id
string | null
secret_access_key
string | null
role_arn
string | null
gitlab_url
string | null
access_token
string | null
application_key
string | null
application_secret
string | null
consumer_key
string | null
project_id
string | null
ssh_public_key
string | null